cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yoshikazu Nojima (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CLOUDSTACK-6457) java6 is installed instead of java7 by yum dependancy resolution
Date Sat, 19 Apr 2014 05:10:14 GMT

     [ https://issues.apache.org/jira/browse/CLOUDSTACK-6457?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Yoshikazu Nojima resolved CLOUDSTACK-6457.
------------------------------------------

       Resolution: Fixed
    Fix Version/s: 4.4.0
                   Future

> java6 is installed instead of java7 by yum dependancy resolution
> ----------------------------------------------------------------
>
>                 Key: CLOUDSTACK-6457
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-6457
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>          Components: Packaging
>    Affects Versions: Future, 4.4.0
>            Reporter: Yoshikazu Nojima
>            Assignee: Yoshikazu Nojima
>            Priority: Critical
>             Fix For: Future, 4.4.0
>
>
> java6 is installed instead of java7 by yum dependancy resolution.
> {quote}
> This is because openjdk has an epoch in addition to version. This would mean that version
'>= 1.7.0' is satisfied by version 1:1.6.0
> See: http://erikos.buchoase.de/2009/01/26/rpm-epoch-field/
> {quote}
> http://markmail.org/message/cer2dqk4ggd7iuyx



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message